#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}

%{expand:%%define apache_version %(rpm -q apache-devel|sed 's/apache-devel-\([0-9].*\)-.*$/\1/')}
%{expand:%%define apache_release %(rpm -q apache-devel|sed 's/apache-devel-[0-9].*-\(.*\)$/\1/')}

%{expand:%%define mm_major %(mm-config --version|sed 's/MM \([0-9]\)\.\([0-9.].*\) \(.*\)$/\1/')}
%{expand:%%define mm_minor %(mm-config --version|sed 's/MM \([0-9]\)\.\([0-9.].*\) \(.*\)$/\2/')}
%define mm_version %{mm_major}.%{mm_minor}

Summary: Files common for apache and apache-mod_perl installations
Name: apache-common
Version: %{apache_version}
Release: 8mdk
Group: System/Servers
URL: http://www.advx.org
License: Apache License
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Prereq: mm = %{mm_major}.%{mm_minor}, rpm-helper

Provides: ADVXpackage
Provides: AP13package
Conflicts: apache2-common
BuildRequires: ADVX-build >= 1.2
BuildRequires: apache-source = %{apache_version}
BuildRequires: apache-devel = %{apache_version}
BuildRequires: mm-devel = %{mm_major}.%{mm_minor}
BuildRequires: glibc-devel libdb3.3-devel, libgdbm2-devel, db1-devel
BuildConflicts: BerkeleyDB-devel

%description
This package contains files required for both apache and apache-mod_perl
package installations. Install this if you want to install Apache or/and
Apache with mod_perl.

%build
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
rm -rf apache-common
cp -a /usr/src/apache_%{apache_version} apache-common
cp apache-common/README.ADVX .
cd apache-common/src/support
for var in TARGET CC CFLAGS CFLAGS_SHLIB LD_SHLIB LDFLAGS_SHLIB LIBS_SHLIB PREFIX SBINDIR INCLUDEDIR LIBEXECDIR SYSCONFDIR ;do
export $var="`/usr/sbin/apxs -q $var`"
done
export INCDIR=$INCLUDEDIR
export OSDIR=$INCLUDEDIR
export OPTIM="$CFLAGS -I$INCLUDEDIR"
export LIBS1="-L$LIBEXECDIR -lcrypt"
echo $CFLAGS
cp -f Makefile.tmpl Makefile
make 
rm -f Makefile


%install

cd apache-common

mkdir -p %{buildroot}%{_libdir}/apache
mkdir -p %{buildroot}%{ap_logfiledir}
mkdir -p %{buildroot}%{ap_base}

#Link modules dir
ln -sf ../..%{_libdir}/apache %{buildroot}%{ap_base}/modules
#Apxs needs this to pickup the right lib for install
ln -sf ../..%{_libdir} %{buildroot}%{ap_base}/%{_lib}
#Link log directory
ln -sf ../..%{ap_logfiledir} %{buildroot}%{ap_base}/logs

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}/var/apache-mm
mkdir -p %{buildroot}%{ap_proxycachedir}
mkdir -p %{buildroot}%{ap_datadir}
mkdir -p %{buildroot}%{ap_datadir}/cgi-bin
mkdir -p %{buildroot}%{ap_datadir}/icons
mkdir -p %{buildroot}%{ap_webdoc}

pushd src/support
chmod 755 dbmmanage
cp checkgid dbmmanage htdigest htpasswd %{buildroot}%{_bindir}
cp ab logresolve rotatelogs %{buildroot}%{_sbindir}
cp *.1 %{buildroot}%{_mandir}/man1
cp apxs.8 ab.8 apachectl.8 logresolve.8 rotatelogs.8 %{buildroot}%{_mandir}/man8
popd

pushd cgi-bin
cp * %{buildroot}%{ap_datadir}/cgi-bin
popd 

pushd icons
cp -a * %{buildroot}%{ap_datadir}/icons
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%pre 
%_pre_useradd apache %{ap_datadir} /bin/sh

%postun 
%_postun_userdel apache

%files 
%defattr(-,root,root)
%dir %{ap_datadir}
%{ap_datadir}/cgi-bin/*
%{ap_datadir}/icons/*
%dir %{_libdir}/apache
%dir %{ap_htdocsdir}
%dir %{ap_webdoc}
%attr(-,apache,apache) %dir %{ap_proxycachedir}
%{_mandir}/*/*
%{_bindir}/*
%{_sbindir}/ab
%{_sbindir}/logresolve
%{_sbindir}/rotatelogs
%{ap_base}/logs
%{ap_base}/modules
%{ap_base}/%{_lib}
%dir %{ap_logfiledir}
#JMD: *never remove this!* 1333 is the *right* permission.
%attr(1333,apache,apache) %dir /var/apache-mm
%doc README.ADVX

%changelog
* Mon Mar 03 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-8mdk
- add Conflicts: apache2-common

* Thu Feb 20 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-7mdk
- split apache-common into its own package so we can put apache-modules into
  cooker and keep apache-common into contribs.
